Skip to main content
PUT
/
orgs
/
{org_id}
/
nodes
/
{node_id}
/
tree
/
{branch}
/
push
Push Node State
curl --request PUT \
  --url https://api.example.com/orgs/{org_id}/nodes/{node_id}/tree/{branch}/push \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": "<string>",
  "state": {},
  "expected_head_commit": "<string>"
}
'
{
  "commit_id": "<string>",
  "node_id": "<string>",
  "branch": "<string>",
  "message": "<string>",
  "objects_created": 123,
  "objects_reused": 123,
  "previous_commit": "<string>",
  "connection_id_mappings": {}
}

Headers

authorization
string | null

Path Parameters

org_id
string<uuid>
required
node_id
string
required
branch
string
required

Body

application/json

Request model for Git-like full-state push operations.

message
string
required

Commit message describing the changes

state
State · object
required

Complete desired state of the node

expected_head_commit
string
required

The commit ID the client's state is based on. Push is rejected with 409 if this doesn't match the branch's current head.

Response

Successful Response

Response model for Git-like full-state push operations.

commit_id
string
required

ID of the created commit

node_id
string
required

Node ID that was updated

branch
string
required

Branch that was updated

message
string
required

Commit message

objects_created
integer
required

Number of new objects created

objects_reused
integer
required

Number of existing objects reused

previous_commit
string | null

Previous commit ID on this branch

connection_id_mappings
Connection Id Mappings · object

Mapping from temp connection IDs to real UUIDs